<?php
//
//	file: db_update.php
//	author: phpbb-fr mod team
//	begin: 09/19/2012
//	version: 0.0.2 - 09/21/2012
//	licence: http://opensource.org/licenses/gpl-license.php GNU Public License
//

// ignore
define('IN_PHPBB', true);
define('UMIL_AUTO', true);
$phpbb_root_path = defined('PHPBB_ROOT_PATH') ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include $phpbb_root_path . 'common.' . $phpEx;

// start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if ( !file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx) )
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// language file which will be included when installing
$language_file = 'mods/info_acp_dvc';

// name of the mod
$mod_name = 'DVC';

// name of the config variable
$version_config_name = 'dvc_version';

// array of versions and actions within each
$versions = array(
	'1.0.0' => array(

		'custom' => 'disable_panel',

		'cache_purge' => array(''),
	),
);

// include the UMIL Auto file, it handles the rest
include $phpbb_root_path . 'umil/umil_auto.' . $phpEx;

// special function
function disable_panel($action)
{
	global $db;

	$module_enabled = $module_display = false;
	if ( $action == 'uninstall' )
	{
		$module_enabled = $module_display = true;
	}

	$fields = array(
		'module_enabled' => $module_enabled,
		'module_display' => $module_display,
	);

	$sql = 'UPDATE ' . MODULES_TABLE . '
		SET ' . $db->sql_build_array('UPDATE', $fields) . '
		WHERE module_langname = \'ACP_VERSION_CHECK\'';
	$db->sql_query($sql);

	return 'DVC_QUERY_SUCCESSFULL';
}
